<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Detail Applicant</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Detail Applicant
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Detail Applicant</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li>
                            <a th:href="@{/applicant/detail(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Detail</a>
                        </li>
                        <li>
                            <a th:href="@{/applicant/certificate(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Certificate</a>
                        </li>
                        <li>
                            <a th:href="@{/applicant/identity(applicant=${employess.getId()})}"><i class="fa fa-inbox"></i> Identity File</a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-danger" th:if="${ktp != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>File Kartu Identitas too large!</p>
            </div>

            <div class="callout callout-danger" th:if="${kk != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>File Kartu Keluarga too large!</p>
            </div>

            <div class="callout callout-danger" th:if="${npwp != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>File Nomor Pokok Wajib Pajak too large!</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#detail" data-toggle="tab">Keluarga</a></li>-->
<!--                </ul>-->
                <form class="form-horizontal" th:action="@{/applicant/identity/upload}" th:object="${identityFile}" method="post" enctype="multipart/form-data">
                    <div class="tab-content">
                        <div class="tab-pane active" id="detail">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="box box-info">
                                        <div class="box-header with-border">

                                            <span>Detail Identity</span>
                                            <span th:text="${employess.fullName}"></span>

                                        </div>
                                        <div class="box-body">
                                            <div class="box">
                                                <!-- /.box-header -->

                                                <div class="box-body table-responsive no-padding">
                                                    <input type="hidden" name="applicant" th:value="${employess.id}">
                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <th >Upload</th>
                                                            <th style="color: red;">*Max File Size 2MB</th>
                                                            <th>Action</th>
                                                        </tr>
                                                        <tr>
                                                            <td style="width: 160px">
                                                                Upload Kartu Identitas :
                                                            </td>
                                                            <td>

                                                                <div class="col-md-6" th:if="${fileKtp} == 'default.jpg'">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-10">
                                                                            <input type="file" name="ktp" id="ktp" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-6" th:align="center" th:if="${fileKtp} != 'default.jpg'">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-10">
                                                                            <img class="img-thumbnail" th:src="@{/applicant/{identityFile}/identity/ktp/(identityFile = ${identityFile.getId()})}" alt="No Image">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                            </td>
                                                            <td>
                                                                <a th:if="${fileKtp} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                                    No Attachment
                                                                </a>
                                                                <a th:if="${fileKtp} != 'default.jpg'" class="btn btn-warning" th:href="@{/applicant/identity/edit(id=${identityFile.id}, kategori='Ktp')}">
                                                                    <i class="fa fa-pencil"></i> Edit
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width: 160px">
                                                                Upload Kartu Keluarga :
                                                            </td>
                                                            <td>
                                                                <div class="col-md-6" th:if="${fileKk} == 'default.jpg'">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-10">
                                                                            <input type="file" name="kk" id="kk" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-6" th:align="center" th:if="${fileKk} != 'default.jpg'">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-10">
                                                                            <img class="img-thumbnail" th:src="@{/applicant/{identityFile}/identity/kk/(identityFile = ${identityFile.getId()})}" alt="No Image">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                            </td>
                                                            <td>
                                                                <a th:if="${fileKk} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                                    No Attachment
                                                                </a>
                                                                <a th:if="${fileKk} != 'default.jpg'" class="btn btn-warning" th:href="@{/applicant/identity/edit(id=${identityFile.id}, kategori = 'Kk')}">
                                                                    <i class="fa fa-pencil"></i> Edit
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width: 160px">
                                                                Upload NPWP :
                                                            </td>
                                                            <td>

                                                                <div class="col-md-6" th:if="${fileNpwp} == 'default.jpg'">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-10">
                                                                            <input type="file" name="npwp" id="npwp" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-6" th:align="center" th:if="${fileNpwp} != 'default.jpg'">
                                                                    <div class="form-group">
                                                                        <div class="col-sm-10">
                                                                            <img class="img-thumbnail" th:src="@{/applicant/{identityFile}/identity/npwp/(identityFile = ${identityFile.getId()})}" alt="No Image">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                            </td>
                                                            <td>
                                                                <a th:if="${fileNpwp} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                                    No Attachment
                                                                </a>
                                                                <a th:if="${fileNpwp} != 'default.jpg'" class="btn btn-warning" th:href="@{/applicant/identity/edit(id=${identityFile.id}, kategori='Npwp')}">
                                                                    <i class="fa fa-pencil"></i> Edit
                                                                </a>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </div>

<!--                                                <input type="hidden" name="emailActive" th:field="*{emailActive}">-->
<!--                                                <input type="hidden" name="fullName" th:field="*{fullName}">-->
<!--                                                <input type="hidden" name="nickName" th:field="*{nickName}">-->
<!--                                                <input type="hidden" name="number" th:field="*{number}">-->
<!--                                                <input type="hidden" name="gender" th:field="*{gender}">-->
<!--                                                <input type="hidden" name="id" th:field="*{id}">-->
                                                <!-- /.box-body -->
                                                <div class="box-footer clearfix">
                                                    <!--                                                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
                                                    <!--                                                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
                                                    <!--                                                                aria-hidden="true">&laquo;</span></a>-->
                                                    <!--                                                        </li>-->
                                                    <!--                                                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
                                                    <!--                                                        </li>-->
                                                    <!--                                                    </ul>-->
                                                </div>
                                            </div>
                                        </div>
                                        <div class="box-footer">
                                            <a th:href="@{/masterdata/employes}" class="btn btn-default" sec:authorize="hasAuthority('VIEW_ALL')">Cancel</a>
                                            <button th:if="${fileKtp} == 'default.jpg'" type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>